KLVObject.LengthFormat (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.io.mxf

## Enum KLVObject.LengthFormat

- java.lang.Object
- - java.lang.Enum<KLVObject.LengthFormat>
  - - tv.amwa.maj.io.mxf.KLVObject.LengthFormat

- All Implemented Interfaces:
    Serializable, Comparable<KLVObject.LengthFormat>
  Enclosing class:
    KLVObject

      public static enum KLVObject.LengthFormat
      extends Enum<KLVObject.LengthFormat>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LEN_1_BYTE`
    `LEN_2_BYTE`
    `LEN_4_BYTE`
    `LEN_BER`
    `LEN_NONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KLVObject.LengthFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KLVObject.LengthFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEN_NONE

          public static final KLVObject.LengthFormat LEN_NONE

    - #### LEN_1_BYTE

          public static final KLVObject.LengthFormat LEN_1_BYTE

    - #### LEN_2_BYTE

          public static final KLVObject.LengthFormat LEN_2_BYTE

    - #### LEN_4_BYTE

          public static final KLVObject.LengthFormat LEN_4_BYTE

    - #### LEN_BER

          public static final KLVObject.LengthFormat LEN_BER

  - ### Method Detail

    - #### values

          public static KLVObject.LengthFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KLVObject.LengthFormat c : KLVObject.LengthFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KLVObject.LengthFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.